category "Shell management"
description "Change working directory"
usage "directory"
validate { args.length <= 2 }
help "Behaves much like cd in your favorite shell."

run do
  p = File.expand_path(args.length == 2 ? args[1] : "~")
  return show_error("Directory does not exist") unless File.directory?(p)
  Dir.chdir(p)
  ""
end
