<<-EOS

net> site --add

What kind of site are we adding?
1) Development
2) Pulltab
3) Arcade
4) Production

Property name (e.g. "Casino del Sol")
> Casino del Sol

Geographic State
> AZ
> Arizona

Business day start (24-hour clock, e.g. 1300)   # (actually supports H, HH, HMM, HH:MM)
> 12:35
> 0500
> 500
> 12
> 0

Host
> dev02.acres4.netx
That doesn't seem to be a valid usher host.
> dev02.acres4.net

Casino del Sol will accept the following CIDR blocks:
  No CIDR blocks registered

You can A)dd or D)elete CIDR blocks, or C)ontinue with configuration
> A

CIDR block (e.g. 1.2.3.4/16):
> 1.2.3.4/16
Description for 1.2.3.4/16:
> Local wireless

Casino del Sol will accept the following CIDR blocks:
  1.2.3.4/16 (Local wireless)

You can A)dd or D)elete CIDR blocks, or C)ontinue with configuration
> C

Casino del Sol will advertise the following servers:
 1) Mercury (dev02.acres4.net)
 2) Central (dev02.acres4.net)
 3) Deployment (deployments.acres4.net)
 C) Cancel

You can A)dd or D)elete servers, or C)ontinue with configuration
> D

Which server would you like Casino del Sol to stop advertising?
> 2

Casino del Sol will advertise the following servers:
 1) Mercury (dev02.acres4.net)
 2) Deployment (deployments.acres4.net)

You can A)dd or D)elete servers, or C)ontinue with configuration
> A

Which server would you like to advertise?
 1) Central. Central Database Server.
 2) Monitor.
 3) Promo. Promotional contest server.
 4) Switchboard. Switchboard server.
 5) Kaicheck. Kaicheck diagnostic server.
 6) Kaivoip. Voice server.
 7) PickPromo.
 8) Kailite.
 C) Cancel

> 6

Which host would you like to use as a Kaivoip server?
 1) dev02.acres4.net
 2) example.com
 C) Cancel

> 2

Casino del Sol will advertise the following servers:
 1) Mercury (dev02.acres4.net)
 2) Deployment (deployments.acres4.net)
 3) Kaivoip (example.com)

You can A)dd or D)elete servers, or C)ontinue with configuration
> C

Casino del Sol has the following applications deployed:
  No applications deployed

You can A)dd an application, D)elete an application, or C)ontinue with configuration
> A

What application would you like to deploy to Casino del Sol?
 1) FrontLine
 2) Supervisor
 3) Kaicheck
...
> 3

Here are recent versions of Kaicheck:
 1)     [rc/lima] strangely stroked slug
 2)   [rc/juliet] gently torched dog
...

Enter the number of the build you want to deploy, or the name of another build if you know it:
> unsettlingly aroused llama

There doesn't seem to a build named that for Front Line.
> 2

Casino del Sol has the following applications deployed:
  1) Supervisor (rc/juliet): gently torched dog
  2) FrontLine (rc/juliet): gently torched dog

You can A)dd an application, D)elete an application, or C)ontinue with configuration
> C

CONGRATULATIONS!
You've finished defining a new site. Here's what we've wound up with:

Production site
example ("example")
Business day start: 02:00, US/Nevada
Base host: ip-10-1-0-24.acres4.net

CIDR blocks:
  1.2.3.4/16   Local wifi

Advertised servers:
      Mercury  dev02.acres4.net
   Deployment  deployments.acres4.net
      Kaivoip  example.com

Applications:
    FrontLine  [rc/juliet] gently stroked dog
   Supervisor  [rc/juliet] gently stroked dog

Are these settings correct? [y/n]
> 
Are these settings correct? [y/n]
> n

Pick a section to edit:
  1) Basic site info
  2) CIDR blocks
  3) Advertised servers
  4) Applications
  C) Cancel

> C

CONGRATULATIONS!
You've finished defining a new site. Here's what we've wound up with:

Production site
casino-del-sol ("Casino del Sol")
Business day start: 04:00, US/Arizona
Base host: dev02.acres4.net

CIDR blocks:
  10.1.0.128/30   Home

Advertised servers:
      Mercury  dev02.acres4.net
   Deployment  deployments.acres4.net

Applications:
    FrontLine  [rc/juliet] gently stroked dog
   Supervisor  [rc/juliet] gently stroked dog

Are these settings correct? [y/n]
> y

Creating site record...
Updating CIDR preferences...
Updating advertised server preferences...
Publishing usher changes...
Deploying applications...
Done!

NEW SITE ISSUED: example, site #36, system #1234

EOS

category "Usher"
description "Add, update and delete sites in usher"
usage [
  "add",
  "edit site_id",
  "delete site_id"
]

tab 0 do
  ["add", "edit", "delete"]
end

tab 1 do
  usherm[:usherSystemId][:usherSites].map { |site| site[:idSite] } +
    usherm[:usherSystemId][:usherSites].map { |site| site[:name] }
end

validate do
  return show_error("must connect usherm first") if usherm.nil?
  return false if args.length == 1
  case args[1]
  when "add"
    args.length == 2
  when "edit", "delete"
    args.length == 3
  end
end

run do
  case args[1]
  when "add"
    prompt_add
  when "edit"
  when "delete"
  end

  ""
end

###

def prompt_add
end

def prompt_edit
end

def prompt_delete
end

###

def prompt(basis={})
end
