description "ConnectionRequest based on default AppInfo and DeviceInfo"
cache false
generate do
  {
    __class:"com.acres4.common.info.ConnectionRequest",
    appInfo: ObjectBuilder[:app_info_for_script].value,
    deviceInfo: ObjectBuilder[:device_info_for_system].value,
  }
end

###

def device_type
  "Ruby #{RUBY_VERSION}"
end

def serial_number
  return $config[:serial] unless $config.nil? or $config[:serial].nil?
  "1234"
end

def hostname
  `hostname`.chomp
end

def os_name
  `uname`.chomp
end
