category "Protocol manipulation"
description "Disconnect from remote server"
help <<-EOS
Immediately disconnects from the remote server, closing open websockets if appropriate.
EOS

validate do
  return "must connect first" if client.nil?
end

run do
  client.disconnect
  ""
end

