description "Populated from local configuration and host info"
cache false

generate do
  {
    __class:"com.acres4.common.info.DeviceInfo",
    identifier:0,
    serialNumber:serial_number,
    deviceType:"ruby_script",
    deviceName:hostname,
    osName:os_name,
    osVersion:os_version
  }
end

###

def device_type
  "Ruby"
end

def serial_number
  return $config[:serial] unless $config.nil? or $config[:serial].nil?
  "1234"
end

def hostname
  `hostname`.chomp
end

def os_name
  `uname`.chomp
end

def os_version
  RUBY_VERSION
end